Summary: Cornell Spider Engine for UNIX
Name: spider-engine 
Version: 1.1.1
Release: 2
License: GPL
Group: Applications/Security
URL: http://security.arizona.edu/pistep4U
Source0: %{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc >= 4.5.4-1
BuildRequires: openssl-devel >= 1.0.1s-1, expat-devel >= 2.1.0-1, pcre-devel >= 8.38-1
BuildRequires: zziplib-devel >= 0.13.62-1, bzip2, zlib-devel >= 1.2.3-7, file-devel >= 5.25-1
Requires: libgcc >= 4.5.4-1
Requires: openssl >= 1.0.1s-1, expat >= 2.1.0-1, pcre >= 8.38-1
Requires: zziplib >= 0.13.62-1, bzip2, zlib >= 1.2.3-7, file >= 5.25-1

%description
Cornell Spider Engine is the file-scanning core of UNIX Spider.  

It's intended to simple be the regex scan/file processing engine of 
various CLI and GUI Spiders that never got written. Under Solaris/Linux 
that was supposed to by a Gnome Spider. Under OSX, it is the current 
OSX Spider beta.


%prep
%setup -q
%patch0


%build
export CC="gcc"
export CFLAGS="-I/opt/freeware/include -O2"

./configure \
    --prefix=%{_prefix}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp spider ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}/etc/spider

cp spider.conf SSNlin.xml ${RPM_BUILD_ROOT}/etc/spider
chmod 0644 ${RPM_BUILD_ROOT}/etc/spider/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/*
%config(noreplace) /etc/spider/spider.conf
/etc/spider/SSNlin.xml
/usr/bin/*


%changelog
* Fri Mar 04 2016 Michael Perzl <michael@perzl.org> - 1.1.1-2
- recompiled against latest versions

* Thu Dec 10 2009 Michael Perzl <michael@perzl.org> - 1.1.1-1
- first version for AIX V5.1 and higher
